Is exp requiered to build on Android Studio?

#1

Hi,

I’ve recently move to the brand new expo-cli 2.0 and it looks amazing! For expo project it works just fine, so far I find it more stable than before.

I’m working on a detached / eject project for a long time, (it was SDK23 or 24 when I started).
Soon enough I had to detached to be able to add inapp/subscription lib and more.

Since then I succefully upgraded the SDK to 27, it was not always easy and fast I must say but still.

Today, I have to upgrade to SDK 30, I usually start from scratch a new project using expo init and manually add libs and codes from lower SDK version of my app. I did the same here.

Then I ejected the app (and not detach anymore).

When I opened the android folder on Android Studio, it couldn’t find exp command anymore. (using the latest expo-cli I uninstalled exp) and were not abble to build the project stoping with that errror exp is not recognized as an internal or external command

Make sens though, but is it normal that Android Studio / Graddle still need exp and is not abble to use expo-cli instead?

Maybe I missed somthing obvious (haven’t work with expo the last 2 mounths), and I’m sorry if it seems like a stupid question :slight_smile:

Cheers.

#2

Hi @alanlanglois - thanks for reporting this, it was an oversight on our part :slight_smile: If you upgrade to expokit@1.7.1 in your root project that should fix this issue!

closed #3

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.